heat-dashboard (10.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:55:18 -0400

heat-dashboard (9.0.0+git2023090714.9f0b3348-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.
  * d/control: Ensure min version of horizon to fix test failures with
    Django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:18:49 -0400

heat-dashboard (9.0.0+git2023061415.dcaa644b-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:01:24 -0400

heat-dashboard (9.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:12:48 -0400

heat-dashboard (9.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * d/bundle-xstatic.sh: Create build-area directory if it doesn't exist.
  * Refresh xstatic assets.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:20:46 -0500

heat-dashboard (8.0.0+git2023011009.fa9efec7-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:47:28 -0500

heat-dashboard (8.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 8.x.
  * New upstream release for OpenStack Zed.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:49:28 -0400

heat-dashboard (7.0.0+git2022091214.126c5e9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * Refresh xstatic assets.
  * d/p/urlunquote-is-removed-in-4.0.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:47:20 -0400

heat-dashboard (7.0.0+git2022071816.d20a335-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * Refresh xstatic assets.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/urlunquote-is-removed-in-4.0.patch: Cherry-pick patch to deal with
    removal of urlunquote().

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:08:53 -0400

heat-dashboard (7.0.0+git2022060209.59c7b03-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/*: Rebased.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:34:36 -0400

heat-dashboard (7.0.0-0ubuntu3) jammy; urgency=medium

  * d/p/skip-test-failures.patch: Renamed. Affects all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Apr 2022 08:19:06 -0400

heat-dashboard (7.0.0-0ubuntu2) jammy; urgency=medium

  * d/p/skip-py310-test-failures.patch: Skip failing py310 tests
    until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 11:28:51 -0400

heat-dashboard (7.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 7.x.
  * New upstream release for OpenStack Yoga.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:48:33 -0400

heat-dashboard (6.0.0+git2022030311.7729b75-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/bundle-xstatic.sh: Drop --system as it is no longer a flag on new
    pip3 releases, and is the default method.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 11:31:02 -0500

heat-dashboard (6.0.0+git2022012813.458e9b0-0ubuntu1) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).
  * d/bundle-xstatic.sh: Ensure xstatic asset versions are confined by the
    corresponding upper-constraints branch.
  * d/bundle-xstatic.sh, d/README.source: Unpack xstatic assets into ./xstatic/
    directory of source package as part of the bundle.xstatic.sh script. This
    will allow for patching xstatic assets in the future.
  * New upstream snapshot for OpenStack Yoga.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:23:46 -0500

heat-dashboard (6.0.0+git2021120911.458e9b0-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/bundle-xstatic.sh: Place xstatic orig tarball in ../build-area now
    that git-buildpackage supports multiple orig tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 11:27:46 -0500

heat-dashboard (6.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 6.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 11:46:54 +0000

heat-dashboard (5.0.0+git2021091608.1f52db0-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Sep 2021 08:28:23 -0400

heat-dashboard (5.0.0+git2021062815.1fbbf77-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:57:53 -0400

heat-dashboard (5.0.0-0ubuntu2) hirsute; urgency=medium

  * d/rules: Ensure default_policies directory exists (LP: #1925501).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Apr 2021 08:56:16 -0400

heat-dashboard (5.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 5.x series.
  * New upstream release for OpenStack Wallaby.
  * d/rules: Install heat_dashboard/conf/default_policies/heat.yaml.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:25:02 -0400

heat-dashboard (4.1.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Fix tarball path.
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 14:46:01 -0400

heat-dashboard (4.0.0+git2021012814.934c8e1-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:21:30 -0500

heat-dashboard (4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 07:52:11 -0400

heat-dashboard (4.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 4.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:09:34 -0400

heat-dashboard (3.1.0~git2020091515.7d4ef20-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:28:37 -0400

heat-dashboard (3.1.0~git2020070215.e1e9fc8-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-failing-tests.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 15:42:08 -0400

heat-dashboard (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 3.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:25:11 -0400

heat-dashboard (2.1.0~git2020032615.7842190-0ubuntu1) focal; urgency=medium

  [ James Page ]
  * New upstream snapshot for OpenStack Ussuri.

  [ Corey Bryant ]
  * d/python3-heat-dashboard.postinst: Align chown command with horizon package.
  * d/p/skip-failing-tests.patch: Skip failing ussuri tests until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 10:37:21 -0400

heat-dashboard (2.1.0~git2020021314.7842190-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/bundle-xstatic.sh: Switch to pip3.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:37:50 -0500

heat-dashboard (2.1.0~git2019121715.8defb43-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 15:27:06 -0500

heat-dashboard (2.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:58:21 +0100

heat-dashboard (2.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 2.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:24:51 -0400

heat-dashboard (1.5.1~b2~git2019082610.050d63b-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.
  * d/p/skip-django224-tests.patch: Temporarily skip tests that fail with
    python3-django 2:2.2.4. This can be dropped once python3-django 2:2.2.4
    is removed from eoan-proposed.
  * d/p/embedded-xstatic.patch: Restore previous version of this patch.
    angular and angular_bootstrap do actually reside under
    /usr/lib/python3/dist-packages/horizon/xstatic/pkg/.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:26:28 -0400

heat-dashboard (1.5.1~b2~git2019082610.050d63b-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is <= 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 11:48:16 -0400

heat-dashboard (1.5.1~b2~git2019082610.050d63b-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/embedded-xstatic.patch: Refresh + fix xstatic paths.
  * d/control: Fixed python3-django version.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 10:54:06 -0400

heat-dashboard (1.5.0-0ubuntu3) disco; urgency=medium

  * d/rules: Enable unit test execution.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Apr 2019 09:47:24 -0400

heat-dashboard (1.5.0-0ubuntu2) disco; urgency=medium

  * d/p/embedded-xstatic.patch: Ensure embedded xstatic modules are not
    added as runtime dependencies.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2019 10:11:07 +0000

heat-dashboard (1.5.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 09:14:55 -0400

heat-dashboard (1.4.0-0ubuntu3) disco; urgency=medium

  * d/control: Ensure BD version of openstack-dashboard/python3-django-horizon
    is disco (py3-only) version. Also add BD on latest python3-heatclient
    for DEP8 tests to pass.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 13:20:18 -0500

heat-dashboard (1.4.0-0ubuntu2) disco; urgency=medium

  * d/control,rules,python*,d/p/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:18:59 -0500

heat-dashboard (1.4.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 16:06:36 -0400

heat-dashboard (1.3.0-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Aug 2018 17:32:29 -0400

heat-dashboard (1.3.0-0ubuntu3) cosmic; urgency=medium

  * d/rules: openstack-dashboard now uses update-alternatives, effectively
    symlinking /usr/share/openstack-dashboard/openstack_dashboard to
    /usr/lib/python*/dist-packages/openstack_dashboard, so we can no longer
    copy common files to /usr/share/openstack-dashboard/openstack_dashboard.
    Instead, copy files to /usr/lib/python*/dist-packages/openstack_dashboard.
  * d/README.source, d/bundle-xstatic.sh: Add README and minor update for
    bundling of xstatic dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Aug 2018 14:54:53 -0400

heat-dashboard (1.3.0-0ubuntu2) cosmic; urgency=medium

  * Bundle required xstatic modules with package:
    - d/rules,bundle-xstatic.sh: Mirror tools from horizon package.
    - d/p/embedded-xstatic.patch: Switch horizon -> heat_dashboard for
      import path for all project specific xstatic modules.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Aug 2018 11:04:18 +0100

heat-dashboard (1.3.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 12:05:12 -0400

heat-dashboard (1.2.0-0ubuntu3) cosmic; urgency=medium

  * d/control: Drop python(3)-heat-dashboard conflicts. murano-
    dashboard build-depends on python(3)-heat-dashboard and needs
    both installed at the same time for unit tests.
  * d/control: Add heat-dashboard-common package for common files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 09:25:16 -0400

heat-dashboard (1.2.0-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-heat-dashboard package.
    - d/control: Make python(3)-heat-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-heat-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.
  * d/p/embedded-xstatic.patch: Align xstatic imports with horizon package.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 16:48:38 -0400

heat-dashboard (1.2.0-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/import-horizon.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 14:08:50 -0400

heat-dashboard (1.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 May 2018 13:53:46 -0400

heat-dashboard (1.0.2-0ubuntu2.1) bionic; urgency=medium

  * d/python-heat-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:08:42 -0400

heat-dashboard (1.0.2-0ubuntu2) bionic; urgency=medium

  * Misc fixes for integration with Horizon (LP: #1754508):
    - d/rules: Install heat_policy.json and heat local configuration
      into required locations for openstack-dashboard operation.
    - d/control: Breaks/Replaces << 3:13.0.0-0ubuntu1~ of
      openstack-dashboard which used to ship heat_policy.json.
  * d/control: Drop duplicate BD on python-pbr.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Mar 2018 11:24:39 +0000

heat-dashboard (1.0.2-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 21:14:10 -0500

heat-dashboard (1.0.0-0ubuntu1) bionic; urgency=medium

  * Initial release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/import-horizon.patch: Ensure horizon test settings are imported.
  * d/rules: Align test execution with upstream.
  * d/rules: Disable tests as they need to be run as root or horizon user.
  * d/python-heat-dashboard.postinst: Align with horizon and other
    dashboards by switching to using horizon instead of www-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 09:38:47 -0500
